package com.mortals.xhx.module.perform.model;

import java.util.List;
import com.mortals.xhx.module.perform.model.PerformDeptConfEntity;
/**
* 部门自动考核信息查询对象
*
* @author zxfei
* @date 2023-05-16
*/
public class PerformDeptConfQuery extends PerformDeptConfEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 部门id */
    private Long deptIdStart;

    /** 结束 部门id */
    private Long deptIdEnd;

    /** 增加 部门id */
    private Long deptIdIncrement;

    /** 部门id列表 */
    private List <Long> deptIdList;

    /** 部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 考勤绩效指标数量 */
    private Integer attendCountStart;

    /** 结束 考勤绩效指标数量 */
    private Integer attendCountEnd;

    /** 增加 考勤绩效指标数量 */
    private Integer attendCountIncrement;

    /** 考勤绩效指标数量列表 */
    private List <Integer> attendCountList;

    /** 考勤绩效指标数量排除列表 */
    private List <Integer> attendCountNotList;

    /** 开始 评价绩效指标数量 */
    private Integer assessCountStart;

    /** 结束 评价绩效指标数量 */
    private Integer assessCountEnd;

    /** 增加 评价绩效指标数量 */
    private Integer assessCountIncrement;

    /** 评价绩效指标数量列表 */
    private List <Integer> assessCountList;

    /** 评价绩效指标数量排除列表 */
    private List <Integer> assessCountNotList;

    /** 开始 办件绩效指标数量 */
    private Integer workCountStart;

    /** 结束 办件绩效指标数量 */
    private Integer workCountEnd;

    /** 增加 办件绩效指标数量 */
    private Integer workCountIncrement;

    /** 办件绩效指标数量列表 */
    private List <Integer> workCountList;

    /** 办件绩效指标数量排除列表 */
    private List <Integer> workCountNotList;

    /** 开始 效能绩效指标数量 */
    private Integer effectCountStart;

    /** 结束 效能绩效指标数量 */
    private Integer effectCountEnd;

    /** 增加 效能绩效指标数量 */
    private Integer effectCountIncrement;

    /** 效能绩效指标数量列表 */
    private List <Integer> effectCountList;

    /** 效能绩效指标数量排除列表 */
    private List <Integer> effectCountNotList;

    /** 开始 其它绩效指标数量 */
    private Integer otherCountStart;

    /** 结束 其它绩效指标数量 */
    private Integer otherCountEnd;

    /** 增加 其它绩效指标数量 */
    private Integer otherCountIncrement;

    /** 其它绩效指标数量列表 */
    private List <Integer> otherCountList;

    /** 其它绩效指标数量排除列表 */
    private List <Integer> otherCountNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformDeptConfQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformDeptConfQuery> andConditionList;

    public PerformDeptConfQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 部门id
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门id
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门id
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门id
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门id
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门id
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门id
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门id
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门id
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 部门id
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 考勤绩效指标数量
    * @return attendCountStart
    */
    public Integer getAttendCountStart(){
        return this.attendCountStart;
    }

    /**
    * 设置 开始 考勤绩效指标数量
    * @param attendCountStart
    */
    public void setAttendCountStart(Integer attendCountStart){
        this.attendCountStart = attendCountStart;
    }

    /**
    * 获取 结束 考勤绩效指标数量
    * @return $attendCountEnd
    */
    public Integer getAttendCountEnd(){
        return this.attendCountEnd;
    }

    /**
    * 设置 结束 考勤绩效指标数量
    * @param attendCountEnd
    */
    public void setAttendCountEnd(Integer attendCountEnd){
        this.attendCountEnd = attendCountEnd;
    }

    /**
    * 获取 增加 考勤绩效指标数量
    * @return attendCountIncrement
    */
    public Integer getAttendCountIncrement(){
        return this.attendCountIncrement;
    }

    /**
    * 设置 增加 考勤绩效指标数量
    * @param attendCountIncrement
    */
    public void setAttendCountIncrement(Integer attendCountIncrement){
        this.attendCountIncrement = attendCountIncrement;
    }

    /**
    * 获取 考勤绩效指标数量
    * @return attendCountList
    */
    public List<Integer> getAttendCountList(){
        return this.attendCountList;
    }

    /**
    * 设置 考勤绩效指标数量
    * @param attendCountList
    */
    public void setAttendCountList(List<Integer> attendCountList){
        this.attendCountList = attendCountList;
    }

    /**
    * 获取 考勤绩效指标数量
    * @return attendCountNotList
    */
    public List<Integer> getAttendCountNotList(){
        return this.attendCountNotList;
    }

    /**
    * 设置 考勤绩效指标数量
    * @param attendCountNotList
    */
    public void setAttendCountNotList(List<Integer> attendCountNotList){
        this.attendCountNotList = attendCountNotList;
    }


    /**
    * 获取 开始 评价绩效指标数量
    * @return assessCountStart
    */
    public Integer getAssessCountStart(){
        return this.assessCountStart;
    }

    /**
    * 设置 开始 评价绩效指标数量
    * @param assessCountStart
    */
    public void setAssessCountStart(Integer assessCountStart){
        this.assessCountStart = assessCountStart;
    }

    /**
    * 获取 结束 评价绩效指标数量
    * @return $assessCountEnd
    */
    public Integer getAssessCountEnd(){
        return this.assessCountEnd;
    }

    /**
    * 设置 结束 评价绩效指标数量
    * @param assessCountEnd
    */
    public void setAssessCountEnd(Integer assessCountEnd){
        this.assessCountEnd = assessCountEnd;
    }

    /**
    * 获取 增加 评价绩效指标数量
    * @return assessCountIncrement
    */
    public Integer getAssessCountIncrement(){
        return this.assessCountIncrement;
    }

    /**
    * 设置 增加 评价绩效指标数量
    * @param assessCountIncrement
    */
    public void setAssessCountIncrement(Integer assessCountIncrement){
        this.assessCountIncrement = assessCountIncrement;
    }

    /**
    * 获取 评价绩效指标数量
    * @return assessCountList
    */
    public List<Integer> getAssessCountList(){
        return this.assessCountList;
    }

    /**
    * 设置 评价绩效指标数量
    * @param assessCountList
    */
    public void setAssessCountList(List<Integer> assessCountList){
        this.assessCountList = assessCountList;
    }

    /**
    * 获取 评价绩效指标数量
    * @return assessCountNotList
    */
    public List<Integer> getAssessCountNotList(){
        return this.assessCountNotList;
    }

    /**
    * 设置 评价绩效指标数量
    * @param assessCountNotList
    */
    public void setAssessCountNotList(List<Integer> assessCountNotList){
        this.assessCountNotList = assessCountNotList;
    }


    /**
    * 获取 开始 办件绩效指标数量
    * @return workCountStart
    */
    public Integer getWorkCountStart(){
        return this.workCountStart;
    }

    /**
    * 设置 开始 办件绩效指标数量
    * @param workCountStart
    */
    public void setWorkCountStart(Integer workCountStart){
        this.workCountStart = workCountStart;
    }

    /**
    * 获取 结束 办件绩效指标数量
    * @return $workCountEnd
    */
    public Integer getWorkCountEnd(){
        return this.workCountEnd;
    }

    /**
    * 设置 结束 办件绩效指标数量
    * @param workCountEnd
    */
    public void setWorkCountEnd(Integer workCountEnd){
        this.workCountEnd = workCountEnd;
    }

    /**
    * 获取 增加 办件绩效指标数量
    * @return workCountIncrement
    */
    public Integer getWorkCountIncrement(){
        return this.workCountIncrement;
    }

    /**
    * 设置 增加 办件绩效指标数量
    * @param workCountIncrement
    */
    public void setWorkCountIncrement(Integer workCountIncrement){
        this.workCountIncrement = workCountIncrement;
    }

    /**
    * 获取 办件绩效指标数量
    * @return workCountList
    */
    public List<Integer> getWorkCountList(){
        return this.workCountList;
    }

    /**
    * 设置 办件绩效指标数量
    * @param workCountList
    */
    public void setWorkCountList(List<Integer> workCountList){
        this.workCountList = workCountList;
    }

    /**
    * 获取 办件绩效指标数量
    * @return workCountNotList
    */
    public List<Integer> getWorkCountNotList(){
        return this.workCountNotList;
    }

    /**
    * 设置 办件绩效指标数量
    * @param workCountNotList
    */
    public void setWorkCountNotList(List<Integer> workCountNotList){
        this.workCountNotList = workCountNotList;
    }


    /**
    * 获取 开始 效能绩效指标数量
    * @return effectCountStart
    */
    public Integer getEffectCountStart(){
        return this.effectCountStart;
    }

    /**
    * 设置 开始 效能绩效指标数量
    * @param effectCountStart
    */
    public void setEffectCountStart(Integer effectCountStart){
        this.effectCountStart = effectCountStart;
    }

    /**
    * 获取 结束 效能绩效指标数量
    * @return $effectCountEnd
    */
    public Integer getEffectCountEnd(){
        return this.effectCountEnd;
    }

    /**
    * 设置 结束 效能绩效指标数量
    * @param effectCountEnd
    */
    public void setEffectCountEnd(Integer effectCountEnd){
        this.effectCountEnd = effectCountEnd;
    }

    /**
    * 获取 增加 效能绩效指标数量
    * @return effectCountIncrement
    */
    public Integer getEffectCountIncrement(){
        return this.effectCountIncrement;
    }

    /**
    * 设置 增加 效能绩效指标数量
    * @param effectCountIncrement
    */
    public void setEffectCountIncrement(Integer effectCountIncrement){
        this.effectCountIncrement = effectCountIncrement;
    }

    /**
    * 获取 效能绩效指标数量
    * @return effectCountList
    */
    public List<Integer> getEffectCountList(){
        return this.effectCountList;
    }

    /**
    * 设置 效能绩效指标数量
    * @param effectCountList
    */
    public void setEffectCountList(List<Integer> effectCountList){
        this.effectCountList = effectCountList;
    }

    /**
    * 获取 效能绩效指标数量
    * @return effectCountNotList
    */
    public List<Integer> getEffectCountNotList(){
        return this.effectCountNotList;
    }

    /**
    * 设置 效能绩效指标数量
    * @param effectCountNotList
    */
    public void setEffectCountNotList(List<Integer> effectCountNotList){
        this.effectCountNotList = effectCountNotList;
    }


    /**
    * 获取 开始 其它绩效指标数量
    * @return otherCountStart
    */
    public Integer getOtherCountStart(){
        return this.otherCountStart;
    }

    /**
    * 设置 开始 其它绩效指标数量
    * @param otherCountStart
    */
    public void setOtherCountStart(Integer otherCountStart){
        this.otherCountStart = otherCountStart;
    }

    /**
    * 获取 结束 其它绩效指标数量
    * @return $otherCountEnd
    */
    public Integer getOtherCountEnd(){
        return this.otherCountEnd;
    }

    /**
    * 设置 结束 其它绩效指标数量
    * @param otherCountEnd
    */
    public void setOtherCountEnd(Integer otherCountEnd){
        this.otherCountEnd = otherCountEnd;
    }

    /**
    * 获取 增加 其它绩效指标数量
    * @return otherCountIncrement
    */
    public Integer getOtherCountIncrement(){
        return this.otherCountIncrement;
    }

    /**
    * 设置 增加 其它绩效指标数量
    * @param otherCountIncrement
    */
    public void setOtherCountIncrement(Integer otherCountIncrement){
        this.otherCountIncrement = otherCountIncrement;
    }

    /**
    * 获取 其它绩效指标数量
    * @return otherCountList
    */
    public List<Integer> getOtherCountList(){
        return this.otherCountList;
    }

    /**
    * 设置 其它绩效指标数量
    * @param otherCountList
    */
    public void setOtherCountList(List<Integer> otherCountList){
        this.otherCountList = otherCountList;
    }

    /**
    * 获取 其它绩效指标数量
    * @return otherCountNotList
    */
    public List<Integer> getOtherCountNotList(){
        return this.otherCountNotList;
    }

    /**
    * 设置 其它绩效指标数量
    * @param otherCountNotList
    */
    public void setOtherCountNotList(List<Integer> otherCountNotList){
        this.otherCountNotList = otherCountNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PerformDeptConfQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PerformDeptConfQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PerformDeptConfQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PerformDeptConfQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PerformDeptConfQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PerformDeptConfQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  部门id
    * @param deptId
    */
    public PerformDeptConfQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门id
    * @param deptIdStart
    */
    public PerformDeptConfQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门id
    * @param deptIdEnd
    */
    public PerformDeptConfQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门id
    * @param deptIdIncrement
    */
    public PerformDeptConfQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门id
    * @param deptIdList
    */
    public PerformDeptConfQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 部门id
        * @param deptIdNotList
        */
        public PerformDeptConfQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public PerformDeptConfQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public PerformDeptConfQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  考勤绩效指标数量
    * @param attendCount
    */
    public PerformDeptConfQuery attendCount(Integer attendCount){
	    setAttendCount(attendCount);
		return this;
    }
	
	 /**
    * 设置 开始 考勤绩效指标数量
    * @param attendCountStart
    */
    public PerformDeptConfQuery attendCountStart(Integer attendCountStart){
		this.attendCountStart = attendCountStart;
		return this;
    }

    /**
    * 设置 结束 考勤绩效指标数量
    * @param attendCountEnd
    */
    public PerformDeptConfQuery attendCountEnd(Integer attendCountEnd){
		this.attendCountEnd = attendCountEnd;
		return this;
    }

    /**
    * 设置 增加 考勤绩效指标数量
    * @param attendCountIncrement
    */
    public PerformDeptConfQuery attendCountIncrement(Integer attendCountIncrement){
		this.attendCountIncrement = attendCountIncrement;
		return this;
    }

    /**
    * 设置 考勤绩效指标数量
    * @param attendCountList
    */
    public PerformDeptConfQuery attendCountList(List<Integer> attendCountList){
        this.attendCountList = attendCountList;
		return this;
        }

        /**
        * 设置 考勤绩效指标数量
        * @param attendCountNotList
        */
        public PerformDeptConfQuery attendCountNotList(List<Integer> attendCountNotList){
        this.attendCountNotList = attendCountNotList;
        return this;
        }

    /**
    * 设置  评价绩效指标数量
    * @param assessCount
    */
    public PerformDeptConfQuery assessCount(Integer assessCount){
	    setAssessCount(assessCount);
		return this;
    }
	
	 /**
    * 设置 开始 评价绩效指标数量
    * @param assessCountStart
    */
    public PerformDeptConfQuery assessCountStart(Integer assessCountStart){
		this.assessCountStart = assessCountStart;
		return this;
    }

    /**
    * 设置 结束 评价绩效指标数量
    * @param assessCountEnd
    */
    public PerformDeptConfQuery assessCountEnd(Integer assessCountEnd){
		this.assessCountEnd = assessCountEnd;
		return this;
    }

    /**
    * 设置 增加 评价绩效指标数量
    * @param assessCountIncrement
    */
    public PerformDeptConfQuery assessCountIncrement(Integer assessCountIncrement){
		this.assessCountIncrement = assessCountIncrement;
		return this;
    }

    /**
    * 设置 评价绩效指标数量
    * @param assessCountList
    */
    public PerformDeptConfQuery assessCountList(List<Integer> assessCountList){
        this.assessCountList = assessCountList;
		return this;
        }

        /**
        * 设置 评价绩效指标数量
        * @param assessCountNotList
        */
        public PerformDeptConfQuery assessCountNotList(List<Integer> assessCountNotList){
        this.assessCountNotList = assessCountNotList;
        return this;
        }

    /**
    * 设置  办件绩效指标数量
    * @param workCount
    */
    public PerformDeptConfQuery workCount(Integer workCount){
	    setWorkCount(workCount);
		return this;
    }
	
	 /**
    * 设置 开始 办件绩效指标数量
    * @param workCountStart
    */
    public PerformDeptConfQuery workCountStart(Integer workCountStart){
		this.workCountStart = workCountStart;
		return this;
    }

    /**
    * 设置 结束 办件绩效指标数量
    * @param workCountEnd
    */
    public PerformDeptConfQuery workCountEnd(Integer workCountEnd){
		this.workCountEnd = workCountEnd;
		return this;
    }

    /**
    * 设置 增加 办件绩效指标数量
    * @param workCountIncrement
    */
    public PerformDeptConfQuery workCountIncrement(Integer workCountIncrement){
		this.workCountIncrement = workCountIncrement;
		return this;
    }

    /**
    * 设置 办件绩效指标数量
    * @param workCountList
    */
    public PerformDeptConfQuery workCountList(List<Integer> workCountList){
        this.workCountList = workCountList;
		return this;
        }

        /**
        * 设置 办件绩效指标数量
        * @param workCountNotList
        */
        public PerformDeptConfQuery workCountNotList(List<Integer> workCountNotList){
        this.workCountNotList = workCountNotList;
        return this;
        }

    /**
    * 设置  效能绩效指标数量
    * @param effectCount
    */
    public PerformDeptConfQuery effectCount(Integer effectCount){
	    setEffectCount(effectCount);
		return this;
    }
	
	 /**
    * 设置 开始 效能绩效指标数量
    * @param effectCountStart
    */
    public PerformDeptConfQuery effectCountStart(Integer effectCountStart){
		this.effectCountStart = effectCountStart;
		return this;
    }

    /**
    * 设置 结束 效能绩效指标数量
    * @param effectCountEnd
    */
    public PerformDeptConfQuery effectCountEnd(Integer effectCountEnd){
		this.effectCountEnd = effectCountEnd;
		return this;
    }

    /**
    * 设置 增加 效能绩效指标数量
    * @param effectCountIncrement
    */
    public PerformDeptConfQuery effectCountIncrement(Integer effectCountIncrement){
		this.effectCountIncrement = effectCountIncrement;
		return this;
    }

    /**
    * 设置 效能绩效指标数量
    * @param effectCountList
    */
    public PerformDeptConfQuery effectCountList(List<Integer> effectCountList){
        this.effectCountList = effectCountList;
		return this;
        }

        /**
        * 设置 效能绩效指标数量
        * @param effectCountNotList
        */
        public PerformDeptConfQuery effectCountNotList(List<Integer> effectCountNotList){
        this.effectCountNotList = effectCountNotList;
        return this;
        }

    /**
    * 设置  其它绩效指标数量
    * @param otherCount
    */
    public PerformDeptConfQuery otherCount(Integer otherCount){
	    setOtherCount(otherCount);
		return this;
    }
	
	 /**
    * 设置 开始 其它绩效指标数量
    * @param otherCountStart
    */
    public PerformDeptConfQuery otherCountStart(Integer otherCountStart){
		this.otherCountStart = otherCountStart;
		return this;
    }

    /**
    * 设置 结束 其它绩效指标数量
    * @param otherCountEnd
    */
    public PerformDeptConfQuery otherCountEnd(Integer otherCountEnd){
		this.otherCountEnd = otherCountEnd;
		return this;
    }

    /**
    * 设置 增加 其它绩效指标数量
    * @param otherCountIncrement
    */
    public PerformDeptConfQuery otherCountIncrement(Integer otherCountIncrement){
		this.otherCountIncrement = otherCountIncrement;
		return this;
    }

    /**
    * 设置 其它绩效指标数量
    * @param otherCountList
    */
    public PerformDeptConfQuery otherCountList(List<Integer> otherCountList){
        this.otherCountList = otherCountList;
		return this;
        }

        /**
        * 设置 其它绩效指标数量
        * @param otherCountNotList
        */
        public PerformDeptConfQuery otherCountNotList(List<Integer> otherCountNotList){
        this.otherCountNotList = otherCountNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public PerformDeptConfQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PerformDeptConfQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformDeptConfQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformDeptConfQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformDeptConfQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformDeptConfQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformDeptConfQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformDeptConfQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformDeptConfQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformDeptConfQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformDeptConfQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformDeptConfQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformDeptConfQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformDeptConfQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformDeptConfQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformDeptConfQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformDeptConfQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformDeptConfQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}